ephemer - 2013-12-24

I have the following issue when compiling (just on configuring phase) on CentOS 6.5 64-bit:

"The versions of the OpenSSL headers and library differ".
This even if the configure command displays "OpenSSL 1.0.1e 11 Feb 2013" for both the headers and the libraries.

I installed OpenSSL 1.0.1e with standard Add/Remove software tool.

Any hint?
TIA.


This is terminal output for the configure command:

[user1@localhost xca-0.9.3]$ ./configure

  Configuring XCA 0.9.3

Found: QtCore/QObject at /usr/include
Found: libQtCore.so at /usr/lib64
Found: libQtGui.so at /usr/lib64
Found: libltdl.so at /usr/lib64
Found: openssl/opensslv.h at /usr/include
Found: libcrypto.so at /usr/lib64

CFLAGS=-Wall -ggdb -O2
CPPFLAGS=
LD_LIBRARY_PATH=
PREFIX=/usr/local
docdir=/usr/local/share/xca

The Versions of the used libraries are:
Header:
OpenSSL 1.0.1e 11 Feb 2013 0x1000105fL
QT: 4.6.2
Libraries:
OpenSSL 1.0.1e-fips 11 Feb 2013
QT: 4.6.2

################ WARNING

The versions of the OpenSSL headers and library differ

################ WARNING

which: no linuxdoc in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/user1/bin)
Application 'linuxdoc' not found.
No documentation will be generated.
GNU Make 3.81

A usable 'make' executable was found in /usr/bin/make

[user1@localhost xca-0.9.3]$